/*
 * Author: Andrew Mann
 *
 * Copyright (C) 2004 PlaneShift Team (info@planeshift.it,
 * http://www.planeshift.it)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#ifndef GUI_MENUBAR_HEADER
#define GUI_MENUBAR_HEADER

#include "paws/pawswidget.h"
#include "paws/pawsfilenavigation.h"

class pawsEditTextBox;
class pawsTextBox;
class pawsButton;
class pawsListBox;



class guiMenuBar : public pawsWidget
{
public:
    guiMenuBar(PawsManager* manager);
    virtual ~guiMenuBar();

    // implemented virtual functions from pawsWidgets
    virtual bool PostSetup();
    virtual bool OnButtonPressed(int mouseButton, int keyModifier, pawsWidget* widget);
    virtual bool OnChange(pawsWidget * widget);
    virtual void OnListAction( pawsListBox* selected, int status );
    virtual bool OnKeyDown( int keyCode, int key, int modifiers );
    void RefreshPSCount(int count);
    void DoTimedChecks();


protected:
    pawsTextBox *textbox_activecount;
    pawsButton *button_material_list;



};

CREATE_PAWS_FACTORY( guiMenuBar );

#endif // #ifndef GUI_MENUBAR_HEADER




